## Bulk create URL Scans
`client.urlScanner.scans.bulkCreate(ScanBulkCreateParamsparams, RequestOptionsoptions?): ScanBulkCreateResponse`
**post** `/accounts/{account_id}/urlscanner/v2/bulk`
Submit URLs to scan. Check limits at https://developers.cloudflare.com/security-center/investigate/scan-limits/ and take into account scans submitted in bulk have lower priority and may take longer to finish.
### Parameters
- `params: ScanBulkCreateParams`
- `account_id: string`
Path param: Account ID.
- `body?: Array
`
Body param: List of urls to scan (up to a 100).
- `url: string`
- `customagent?: string`
- `customHeaders?: Record`
Set custom headers.
- `referer?: string`
- `screenshotsResolutions?: Array<"desktop" | "mobile" | "tablet">`
Take multiple screenshots targeting different device types.
- `"desktop"`
- `"mobile"`
- `"tablet"`
- `visibility?: "Public" | "Unlisted"`
The option `Public` means it will be included in listings like recent scans and search results. `Unlisted` means it will not be included in the aforementioned listings, users will need to have the scan's ID to access it. A a scan will be automatically marked as unlisted if it fails, if it contains potential PII or other sensitive material.
- `"Public"`
- `"Unlisted"`
### Returns
- `ScanBulkCreateResponse = Array`
- `api: string`
URL to api report.
- `result: string`
URL to report.
- `url: string`
Submitted URL
- `uuid: string`
Scan ID.
- `visibility: "public" | "unlisted"`
Submitted visibility status.
- `"public"`
- `"unlisted"`
- `options?: Options`
- `useragent?: string`
### Example
```node
import Cloudflare from 'cloudflare';
const client = new Cloudflare({
apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});
const response = await client.urlScanner.scans.bulkCreate({ account_id: 'account_id' });
console.log(response);
```
#### Response
```json
[
{
"api": "api",
"result": "result",
"url": "url",
"uuid": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"visibility": "public",
"options": {
"useragent": "useragent"
}
}
]
```